Delete Mobility Migrations

Delete Mobility Migrations
Delete one or more archived migrations.

Delete operation will delete one or more archived migrations.

Request
URI
POST
https://{server}/hybridity/api/mobility/migrations/delete
COPY
Request Body

Request body can have either of 'items' (array of migrationId and migrationGroupId pair) or 'filter' (array of migration types)

deleteMigrationsRequest of type(s) application/json
Required
{
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string"
        }
    ],
    "filter": {
        "migrationType": [
            {}
        ]
    }
}
array of object
items
Optional

An array of migration id and migration group id (optional) pair.

object
filter
Optional

An array of migration types.

Authentication
This operation uses the following authentication methods.
Responses
200

ok

Returns deleteMigrationResponse of type(s) application/json
{
    "mobilityMigrations": [
        "string"
    ],
    "legacyMigrations": [
        "string"
    ],
    "error": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warning": [
        {
            "message": "string"
        }
    ]
}
array of string
mobilityMigrations
Optional

An array mobility migration ids considered for the delete operation

array of string
legacyMigrations
Optional

An array legacy migration ids considered for the delete operation

array of object
error
Optional

error

array of object
warning
Optional

warning


400

Bad Request

Returns deleteMigrationResponse of type(s) application/json
{
    "mobilityMigrations": [
        "string"
    ],
    "legacyMigrations": [
        "string"
    ],
    "error": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warning": [
        {
            "message": "string"
        }
    ]
}
array of string
mobilityMigrations
Optional

An array mobility migration ids considered for the delete operation

array of string
legacyMigrations
Optional

An array legacy migration ids considered for the delete operation

array of object
error
Optional

error

array of object
warning
Optional

warning


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/mobility/migrations/delete